parameters:
    oro_installer.scenario.class:                     Oro\Bundle\InstallerBundle\Process\InstallerScenario
    oro_installer.yaml_persister.class:               Oro\Bundle\InstallerBundle\Persister\YamlPersister
    oro_installer.listener.request.class:             Oro\Bundle\InstallerBundle\EventListener\RequestListener
    oro_installer.script_manager.class:               Oro\Bundle\InstallerBundle\ScriptManager
services:
    oro_installer.scenario:
        class: %oro_installer.scenario.class%
        calls:
          - [ setContainer, ["@service_container"] ]
        tags:
          - { name: sylius.process.scenario, alias: oro_installer }

    oro_installer.yaml_persister:
        class: %oro_installer.yaml_persister.class%
        arguments:
            - %kernel.root_dir%/config
            - %kernel.environment%

    kernel.listener.install.event:
        class: %oro_installer.listener.request.class%
        arguments:
            - %installed%
            - %kernel.debug%
        tags:
            - { name: kernel.event_listener, event: kernel.request, method: onRequest, priority: 10 }

    oro_installer.script_manager:
        class: %oro_installer.script_manager.class%
        arguments:
            - '@kernel'
